{
    "objects": [
        {
            "attributes": {
                "description": "Kafka analysis of topics and consumer groups",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [], \"version\": true}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true, \"darkTheme\": false}",
                "panelsJSON": "[{\"panelRefName\": \"panel_0\", \"gridData\": {\"i\": \"1\", \"h\": 13, \"x\": 0, \"w\": 24, \"y\": 20}, \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Kafka Topic & Consumer Offsets\"}, {\"panelRefName\": \"panel_1\", \"gridData\": {\"i\": \"3\", \"h\": 6, \"x\": 0, \"w\": 16, \"y\": 0}, \"panelIndex\": \"3\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Kafka Controls\"}, {\"panelRefName\": \"panel_2\", \"gridData\": {\"i\": \"6\", \"h\": 14, \"x\": 0, \"w\": 24, \"y\": 6}, \"panelIndex\": \"6\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Consumer Group Lag by Topic\"}, {\"panelRefName\": \"panel_3\", \"gridData\": {\"i\": \"10\", \"h\": 6, \"x\": 16, \"w\": 25, \"y\": 0}, \"panelIndex\": \"10\", \"embeddableConfig\": {\"spy\": null}, \"version\": \"7.3.0\", \"title\": \"Kafka Metrics\"}, {\"panelRefName\": \"panel_4\", \"gridData\": {\"i\": \"12\", \"h\": 7, \"x\": 0, \"w\": 24, \"y\": 33}, \"panelIndex\": \"12\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Consumer Partition Reassignments\"}, {\"panelRefName\": \"panel_5\", \"gridData\": {\"i\": \"13\", \"h\": 6, \"x\": 41, \"w\": 7, \"y\": 0}, \"panelIndex\": \"13\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Consumer Metrics\"}, {\"panelRefName\": \"panel_6\", \"gridData\": {\"i\": \"14\", \"h\": 13, \"x\": 24, \"w\": 24, \"y\": 27}, \"panelIndex\": \"14\", \"embeddableConfig\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}, \"spy\": null}, \"version\": \"7.3.0\", \"title\": \"Kafka Consumer Group Clients\"}, {\"panelRefName\": \"panel_7\", \"gridData\": {\"i\": \"15\", \"h\": 10, \"x\": 24, \"w\": 24, \"y\": 6}, \"panelIndex\": \"15\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Kafka Brokers\"}, {\"panelRefName\": \"panel_8\", \"gridData\": {\"i\": \"16\", \"h\": 11, \"x\": 24, \"w\": 24, \"y\": 16}, \"panelIndex\": \"16\", \"embeddableConfig\": {\"table\": {\"sort\": {\"column\": \"26d2cd90-d2f5-11e8-9dd4-c5f03280d7b0\", \"order\": \"desc\"}}}, \"version\": \"7.3.0\", \"title\": \"Kafka Topic Details\"}]",
                "timeRestore": false,
                "title": "[Metricbeat Kafka] Overview ECS",
                "version": 1
            },
            "id": "ea488d90-8e63-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "b9d12c80-8e63-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "8d2f79a0-8e65-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "944188f0-8e79-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "dc89f8d0-8e8e-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "587f2360-8f21-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "1681f1a0-90e7-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "9a7576e0-d231-11e8-8766-dbbdc39e7ba9-ecs",
                    "name": "panel_6",
                    "type": "visualization"
                },
                {
                    "id": "27dd5960-d2ed-11e8-8766-dbbdc39e7ba9-ecs",
                    "name": "panel_7",
                    "type": "visualization"
                },
                {
                    "id": "491fee50-d2f5-11e8-8766-dbbdc39e7ba9-ecs",
                    "name": "panel_8",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDgsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Topic & Consumer Offsets [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"time_field\": \"@timestamp\", \"series\": [{\"fill\": \"0.1\", \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"terms_order_by\": \"_term\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"seperate_axis\": 0, \"color\": \"rgba(244,78,59,1)\", \"line_width\": \"0.5\", \"split_mode\": \"terms\", \"filter\": {\"language\": \"lucene\", \"query\": \"metricset.name: partition AND kafka.partition.partition.is_leader: true\"}, \"chart_type\": \"bar\", \"point_size\": \"0\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.partition.offset.newest\", \"type\": \"sum\"}], \"terms_field\": \"kafka.topic.name\", \"label\": \"Topic Offsets\"}, {\"fill\": \"0\", \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"terms_order_by\": \"_term\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"seperate_axis\": 0, \"color\": \"rgba(244,78,59,0.52)\", \"line_width\": \"1\", \"split_mode\": \"terms\", \"filter\": {\"language\": \"lucene\", \"query\": \"metricset.name: consumergroup\"}, \"chart_type\": \"line\", \"point_size\": \"1.5\", \"id\": \"d43034c0-8f1e-11e8-8784-cd0acd161a28\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"d43034c1-8f1e-11e8-8784-cd0acd161a28\", \"field\": \"kafka.consumergroup.offset\", \"type\": \"sum\"}], \"split_filters\": [{\"id\": \"dd41ada0-8f1e-11e8-8784-cd0acd161a28\", \"color\": \"#68BC00\"}], \"terms_field\": \"kafka.consumergroup.id\", \"label\": \"Consumer Offsets\"}], \"type\": \"timeseries\", \"background_color_rules\": [{\"id\": \"8b27e6a0-8e61-11e8-b741-c3e458b74a68\"}], \"index_pattern\": \"metricbeat-*\", \"filter\": {\"language\": \"lucene\", \"query\": \"NOT kafka.topic.name:__consumer_offsets\"}, \"interval\": \"auto\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Kafka Topic & Consumer Offsets [Metricbeat Kafka] ECS\"}"
            },
            "id": "b9d12c80-8e63-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2MzksMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Controls [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"useTimeFilter\": false, \"controls\": [{\"parent\": \"\", \"id\": \"1532342651170\", \"indexPatternRefName\": \"control_0_index_pattern\", \"type\": \"list\", \"fieldName\": \"kafka.topic.name\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"size\": 10, \"multiselect\": true}, \"label\": \"Topic Name\"}, {\"parent\": \"1532342651170\", \"id\": \"1539799686678\", \"indexPatternRefName\": \"control_1_index_pattern\", \"type\": \"list\", \"fieldName\": \"kafka.partition.id\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"size\": 5, \"multiselect\": true}, \"label\": \"Partition\"}], \"updateFiltersOnChange\": true, \"pinFilters\": false}, \"aggs\": [], \"type\": \"input_control_vis\", \"title\": \"Kafka Controls [Metricbeat Kafka] ECS\"}"
            },
            "id": "8d2f79a0-8e65-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "control_0_index_pattern",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "control_1_index_pattern",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Kafka Consumer Group Lag vs Time [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"fill\": \"0.2\", \"formatter\": \"number\", \"type\": \"timeseries\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"seperate_axis\": 0, \"color\": \"rgba(0,156,224,1)\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": \"0\", \"chart_type\": \"line\", \"id\": \"0dcb8020-8e6d-11e8-bfab-6f29bad3a6f2\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"0dcb8021-8e6d-11e8-bfab-6f29bad3a6f2\", \"field\": \"kafka.consumergroup.consumer_lag\", \"type\": \"max\"}], \"terms_field\": \"kafka.consumergroup.topic\", \"label\": \"Consumer Groups\"}], \"isModelInvalid\": false, \"background_color_rules\": [{\"id\": \"1966adf0-1298-11ea-abd7-b5bb8e05b5d6\"}], \"gauge_style\": \"half\", \"time_field\": \"@timestamp\", \"gauge_color_rules\": [{\"id\": \"1eee15b0-1298-11ea-abd7-b5bb8e05b5d6\"}], \"gauge_width\": 10, \"axis_scale\": \"normal\", \"gauge_inner_width\": 10, \"bar_color_rules\": [{\"id\": \"1dbe6f50-1298-11ea-abd7-b5bb8e05b5d6\"}], \"filter\": {\"language\": \"lucene\", \"query\": \"(metricset.name: consumergroup) AND NOT kafka.consumergroup.topic.name:__consumer_offsets\"}, \"interval\": \"auto\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"type\": \"timeseries\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Kafka Consumer Group Lag vs Time [Metricbeat Kafka] ECS\"}"
            },
            "id": "944188f0-8e79-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T11:07:58.021Z",
            "version": "WzI4MjMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [{\"query\": {\"match\": {\"metricset.name\": {\"query\": \"partition\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"partition\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": \"Partition Metricset\", \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"negate\": false, \"key\": \"metricset.name\", \"value\": \"partition\"}, \"$state\": {\"store\": \"appState\"}}, {\"query\": {\"match\": {\"kafka.topic.name\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[1].meta.index\", \"negate\": true, \"key\": \"kafka.topic.name\", \"value\": \"__consumer_offsets\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "title": "Kafka Metrics [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"metric\": {\"percentageMode\": false, \"style\": {\"fontSize\": 32, \"bgColor\": false, \"bgFill\": \"#000\", \"labelColor\": false, \"subText\": \"\"}, \"colorSchema\": \"Green to Red\", \"invertColors\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"to\": 10000, \"from\": 0}], \"metricColorMode\": \"None\", \"useRanges\": false}, \"type\": \"metric\", \"addTooltip\": true, \"addLegend\": false}, \"aggs\": [{\"params\": {\"field\": \"kafka.topic.name\", \"customLabel\": \"Topics\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"kafka.partition.broker.id\", \"customLabel\": \"Brokers\"}, \"id\": \"3\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"kafka.partition.topic_id\", \"customLabel\": \"Partitions\"}, \"id\": \"5\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"kafka.partition.topic_broker_id\", \"customLabel\": \"Replicas\"}, \"id\": \"6\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}], \"type\": \"metric\", \"title\": \"Kafka Metrics [Metricbeat Kafka] ECS\"}"
            },
            "id": "dc89f8d0-8e8e-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[1].meta.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDIsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Consumer Partition Reassignments [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"axis_min\": \"-1\", \"series\": [{\"fill\": \"0\", \"formatter\": \"number\", \"value_template\": \"\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": \"1\", \"split_mode\": \"terms\", \"point_size\": \"20\", \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.consumergroup.partition\", \"type\": \"sum\"}, {\"id\": \"6b69c760-8f20-11e8-8927-d7e991b5b6ab\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}, {\"id\": \"976f9d80-8f20-11e8-8927-d7e991b5b6ab\", \"type\": \"calculation\", \"script\": \"if (params.sum_partition < 0) { return -1 } else if (params.sum_partition > 0) { return 1 }\", \"variables\": [{\"id\": \"99cc2b20-8f20-11e8-8927-d7e991b5b6ab\", \"field\": \"6b69c760-8f20-11e8-8927-d7e991b5b6ab\", \"name\": \"sum_partition\"}]}], \"hide_in_legend\": 0, \"terms_field\": \"kafka.consumergroup.id\", \"label\": \"Consumer -> Partition Reassignment\"}], \"type\": \"timeseries\", \"interval\": \"auto\", \"index_pattern\": \"metricbeat-*\", \"filter\": {\"language\": \"lucene\", \"query\": \"NOT kafka.topic.name:__consumer_offsets\"}, \"show_grid\": 1, \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"axis_max\": \"1\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Consumer Partition Reassignments [Metricbeat Kafka] ECS\"}"
            },
            "id": "587f2360-8f21-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [{\"query\": {\"match\": {\"kafka.topic.name\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"negate\": true, \"key\": \"kafka.topic.name\", \"value\": \"__consumer_offsets\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "title": "Consumer Metrics [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"metric\": {\"percentageMode\": false, \"style\": {\"fontSize\": 32, \"bgColor\": false, \"bgFill\": \"#000\", \"labelColor\": false, \"subText\": \"\"}, \"colorSchema\": \"Green to Red\", \"invertColors\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"to\": 10000, \"from\": 0}], \"metricColorMode\": \"None\", \"useRanges\": false}, \"type\": \"metric\", \"addTooltip\": true, \"addLegend\": false}, \"aggs\": [{\"params\": {\"field\": \"kafka.consumergroup.id\", \"customLabel\": \"Consumer Groups\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}], \"type\": \"metric\", \"title\": \"Consumer Metrics [Metricbeat Kafka] ECS\"}"
            },
            "id": "1681f1a0-90e7-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDQsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": []}"
                },
                "title": "Kafka Consumer Group Clients [Metricbeat Kafka] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": false}, \"aggs\": [{\"params\": {\"field\": \"kafka.consumergroup.offset\", \"customLabel\": \"Newest Offset\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"_term\", \"field\": \"kafka.consumergroup.client.id\", \"otherBucketLabel\": \"Other\", \"size\": 64, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Consumer group client\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"kafka.topic.name\", \"otherBucketLabel\": \"Other\", \"size\": 64, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Topic\", \"missingBucket\": false}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"kafka.partition.id\", \"otherBucketLabel\": \"Other\", \"size\": 256, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Partition\", \"missingBucket\": false}, \"id\": \"4\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}], \"type\": \"table\", \"title\": \"Kafka Consumer Group Clients [Metricbeat Kafka] ECS\"}"
            },
            "id": "9a7576e0-d231-11e8-8766-dbbdc39e7ba9-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDUsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Broker Details [Metricbeat Kafka] ECS",
                "uiStateJSON": "{\"table\": {\"sort\": {\"column\": \"cf09c940-d2ec-11e8-88c8-af5b2a9ee6b2\", \"order\": \"asc\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"stacked\": \"none\", \"terms_size\": \"100\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.topic.name\", \"type\": \"cardinality\"}], \"terms_field\": \"kafka.broker.id\", \"label\": \"Topics\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"b38eb8b0-d2ec-11e8-88c8-af5b2a9ee6b2\", \"field\": \"kafka.partition.topic_id\", \"type\": \"cardinality\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": {\"language\": \"lucene\", \"query\": \"kafka.partition.partition.is_leader: true\"}, \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"b38e91a0-d2ec-11e8-88c8-af5b2a9ee6b2\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"7e9ee780-d2ef-11e8-9dd4-c5f03280d7b0\"}], \"stacked\": \"none\", \"label\": \"Leader Partitions\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"cf09f050-d2ec-11e8-88c8-af5b2a9ee6b2\", \"field\": \"kafka.partition.topic_broker_id\", \"type\": \"cardinality\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": \"\", \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"cf09c940-d2ec-11e8-88c8-af5b2a9ee6b2\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"d4d9d2c0-d2ec-11e8-88c8-af5b2a9ee6b2\"}], \"stacked\": \"none\", \"label\": \"Replicas\"}], \"pivot_rows\": \"256\", \"type\": \"table\", \"index_pattern\": \"metricbeat-*\", \"pivot_label\": \"Broker ID\", \"filter\": \"\", \"bar_color_rules\": [{\"id\": \"7fb31e00-d2ec-11e8-88c8-af5b2a9ee6b2\"}], \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"pivot_id\": \"kafka.partition.partition.replica\", \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Kafka Broker Details [Metricbeat Kafka] ECS\"}"
            },
            "id": "27dd5960-d2ed-11e8-8766-dbbdc39e7ba9-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDYsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Topic Details [Metricbeat Kafka] ECS",
                "uiStateJSON": "{\"table\": {\"sort\": {\"column\": \"_default_\", \"order\": \"asc\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.broker.id\", \"type\": \"cardinality\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": {\"language\": \"lucene\", \"query\": \" metricset.name: partition\"}, \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"f07881d0-d2f5-11e8-95b9-eb9260148efc\"}], \"stacked\": \"none\", \"label\": \"Brokers\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"7d640441-d2f4-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.id\", \"type\": \"cardinality\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": {\"language\": \"lucene\", \"query\": \" metricset.name: partition\"}, \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"7d640440-d2f4-11e8-9dd4-c5f03280d7b0\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"fb759e10-d2f5-11e8-95b9-eb9260148efc\"}], \"stacked\": \"none\", \"label\": \"Partitions\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"ad26e261-d2f4-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.topic_broker_id\", \"type\": \"cardinality\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": {\"language\": \"lucene\", \"query\": \" metricset.name: partition\"}, \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"ad26e260-d2f4-11e8-9dd4-c5f03280d7b0\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"fdb1ab60-d2f5-11e8-95b9-eb9260148efc\"}], \"stacked\": \"none\", \"label\": \"Replicas\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"26d2cd91-d2f5-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.consumergroup.client.id\", \"type\": \"cardinality\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": {\"language\": \"lucene\", \"query\": \" metricset.name: consumergroup\"}, \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"26d2cd90-d2f5-11e8-9dd4-c5f03280d7b0\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"ff90f2b0-d2f5-11e8-95b9-eb9260148efc\"}], \"stacked\": \"none\", \"label\": \"Consumers\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"dc393530-d2f4-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.offset.newest\", \"type\": \"max\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": {\"language\": \"lucene\", \"query\": \" metricset.name: partition\"}, \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"dc390e20-d2f4-11e8-9dd4-c5f03280d7b0\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"ea4984e0-d2f4-11e8-9dd4-c5f03280d7b0\"}], \"stacked\": \"none\", \"label\": \"Newest Offset\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"metrics\": [{\"id\": \"11366c81-d2f5-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.offset.oldest\", \"type\": \"min\"}], \"seperate_axis\": 0, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": {\"language\": \"lucene\", \"query\": \" metricset.name: partition\"}, \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"11366c80-d2f5-11e8-9dd4-c5f03280d7b0\", \"axis_position\": \"right\", \"color_rules\": [{\"id\": \"043b67f0-d2f6-11e8-95b9-eb9260148efc\"}], \"stacked\": \"none\", \"label\": \"Oldest Offset\"}], \"type\": \"table\", \"index_pattern\": \"metricbeat-*\", \"pivot_label\": \"Topic Name\", \"filter\": {\"language\": \"lucene\", \"query\": \"NOT kafka.topic.name: __consumer_offsets\"}, \"bar_color_rules\": [{\"id\": \"f81e47a0-d2f3-11e8-9dd4-c5f03280d7b0\"}], \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"pivot_id\": \"kafka.topic.name\", \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Kafka Topic Details [Metricbeat Kafka] ECS\"}"
            },
            "id": "491fee50-d2f5-11e8-8766-dbbdc39e7ba9-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDcsMV0="
        }
    ],
    "version": "7.4.0"
}